## LmFeaturePing

LmFeaturePing

## Functions

void | lm_feature_ping_start ()
void | lm_feature_ping_stop ()

## Properties

gpointer | connection | Write / Construct Only
guint | rate | Read / Write

## Signals

void | timed-out | Run Last

## Object Hierarchy

        GObject
        ╰── LmFeaturePing

## Description

## Functions

### lm_feature_ping_start ()

    void
    lm_feature_ping_start (LmFeaturePing *fp);

### lm_feature_ping_stop ()

    void
    lm_feature_ping_stop (LmFeaturePing *fp);

## Property Details

### The `“connection”` property

      “connection”               gpointer

The LmConnection to use.

Owner: LmFeaturePing

Flags: Write / Construct Only

### The `“rate”` property

      “rate”                     guint

Keep alive rate in seconds.

Owner: LmFeaturePing

Flags: Read / Write

Default value: 0

## Signal Details

### The `“timed-out”` signal

    void
    user_function (LmFeaturePing *lmfeatureping,
                   gpointer       user_data)

Flags: Run Last